2019-08-23 16:17 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005847Spring engineGeneralpublic2018-01-08 01:17
ReporterFloris 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionduplicate 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0005847: crash on gamestart latest 104 maintenance
Description...there was a joinas active and i manually forcestarted it...
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files
  • txt file icon infolog - Copy.txt (79,297 bytes) 2017-11-29 19:21 -
    Using writeable configuration source: "C:\Users\Flowris\Documents\My Games\Spring\springsettings.cfg"
    Using additional read-only configuration source: "C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e_maintenance\springsettings.cfg"
    Available log sections: RoamMeshDrawer, FarTextureHandler, GroundMoveType, Texture, BumpWater, AutohostInterface, Font, Net, Shader, KeyBindings, CSMFGroundTextures, ModelRenderContainer, DynWater, GameServer, Sound, Path, ArchiveScanner, DecalsDrawerGL4, CregSerializer, Piece, LuaSocket, SkyBox, VFS, Model
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    ============== <User Config> ==============
      AdvSky = 1
      AllowDeferredMapRendering = 1
      AllowDeferredModelRendering = 1
      BumpWaterAnisotropy = 4
      BumpWaterTexSizeReflection = 256
      CamMode = 1
      CrossAlpha = 0
      FSAALevel = 4
      FullscreenEdgeMove = 0
      GrassDetail = 0
      GroundDecals = 2
      GroundDetail = 160
      GroundScarAlphaFade = 1
      HardwareCursor = 1
      InputTextGeo = 0.26 0.73 0.02 0.028
      LastSelectedMap = Tropical-v2
      LastSelectedMod = Balanced Annihilation $VERSION
      LastSelectedScript = Player vs. AI: NullAI 0.1
      MaxNanoParticles = 1500
      MaxParticles = 20000
      ScreenshotCounter = 274
      ShadowMapSize = 6144
      Shadows = 1
      ShowFPS = 1
      ShowPlayerInfo = 0
      ShowSpeed = 1
      TreeRadius = 200
      UnitIconDist = 800
      UnitLodDist = 10000
      Water = 4
      WindowBorderless = 1
      WindowPosX = 0
      WindowPosY = 0
      WindowedEdgeMove = 0
      XResolution = 3840
      XResolutionWindowed = 3840
      YResolution = 2160
      YResolutionWindowed = 2160
      snd_volbattle = 18
      snd_volmaster = 78
      snd_volmusic = 55
      snd_volui = 74
      snd_volunitreply = 0
    ============== </User Config> ==============
    ============== <User System> ==============
      Spring 104.0.1-104-g2135e2e maintenance
        Build Environment: boost-105500, GNU libstdc++ version 20130531
         Compiler Version: gcc-4.8.1
         Operating System: Microsoft Windows
    Microsoft Business Edition, 64-bit (build 9200)
    Intel(R) Core(TM) i7-6700K CPU @ 4.00GHz; 16350MB RAM, 18782MB pagefile
         Binary Word Size: 32-bit emulated
         Deque Chunk Size: 128
            Process Clock: std::chrono::high_resolution_clock
       Physical CPU Cores: 4
        Logical CPU Cores: 8
    ============== </User System> ==============
    [good_fpu_init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    [WatchDogInstall] Installed (HangTimeout: 10sec)
    [WatchDog::RegisterThread] registering controls for thread [main]
    [GL::CheckAvailableVideoModes] desktop={3840x2160x24bpp@60Hz} current={3840x2160x24bpp@60Hz}
    	display=1 modes=43 bounds={x=0, y=0, w=3840, h=2160}
    		[ 1] 3840x2160x24bpp@60Hz
    		[ 3] 2560x1600x24bpp@60Hz
    		[ 5] 2560x1440x24bpp@60Hz
    		[11] 1920x1200x24bpp@60Hz
    		[13] 1920x1080x24bpp@60Hz
    		[17] 1680x1050x24bpp@60Hz
    		[21] 1600x1024x24bpp@60Hz
    		[23] 1600x900x24bpp@60Hz
    		[26] 1360x765x24bpp@60Hz
    		[29] 1280x800x24bpp@60Hz
    		[31] 1280x720x24bpp@60Hz
    	display=2 modes=58 bounds={x=960, y=2160, w=1920, h=1080}
    		[ 1] 1920x1080x24bpp@60Hz
    		[10] 1680x1050x24bpp@60Hz
    		[16] 1600x1024x24bpp@60Hz
    		[22] 1600x900x24bpp@60Hz
    		[40] 1360x765x24bpp@60Hz
    		[43] 1280x800x24bpp@60Hz
    		[45] 1280x720x24bpp@60Hz
    [GR::CreateSDLWindow] using 4x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888") for main window
    [GR::CreateSDLWindow] using 4x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888") for hidden window
    [GR::LogVersionInfo]
    	SDL version : 2.0.4 (linked) / 2.0.4 (compiled)
    	GL version  : 4.6.0 NVIDIA 388.31
    	GL vendor   : NVIDIA Corporation
    	GL renderer : GeForce GTX 970/PCIe/SSE2
    	GLSL version: 4.60 NVIDIA
    	GLEW version: 2.1.0
    	GPU memory  : 4096MB (total) / 2075MB (available)
    	SDL swap-int: 1
    	
    	ARB shader support        : 1
    	GLSL shader support       : 1
    	FBO extension support     : 1
    	NVX GPU mem-info support  : 1
    	ATI GPU mem-info support  : 0
    	NPOT-texture support      : 1 (1)
    	texture query-LOD support : 1 (1)
    	24-bit Z-buffer support   : 1 (-)
    	primitive-restart support : 1 (1)
    	clip-space control support: 1 (1)
    	frag-depth layout support : 1 (-)
    	
    	max. FBO samples             : 32
    	max. texture size            : 16384
    	max. texture anisotropy level: 16.000000
    	max. vec4 varyings/attributes: 31/16
    	max. draw-buffers            : 8
    	max. rec. indices/vertices   : 1048576/1048576
    	max. uniform buffer-bindings : 84
    	max. uniform block-size      : 64KB
    	
    	enable ATI-hacks : 0
    	compress MIP-maps: 0
    [GR::ToggleGLDebugOutput] OpenGL debug-context not installed (dbgErrors=0 dbgTraces=0)
    [VSync::SetInterval] interval=0 (disabled)
    [GR::LogDisplayMode] display-mode set to 3840x2160x24bpp@60Hz (fullscreen::borderless)
    [WatchDog::RegisterThread] registering controls for thread [vfsi]
    [DataDirLocater::Check] Portable Mode!
    Using read-write data directory: C:\Users\Flowris\Documents\My Games\Spring\
    Using read-only data directory: C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e_maintenance\
    Scanning: C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e_maintenance\maps
    Scanning: C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e_maintenance\base
    Scanning: C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e_maintenance\games
    Scanning: C:\Users\Flowris\Documents\My Games\Spring\maps
    Scanning: C:\Users\Flowris\Documents\My Games\Spring\games
    Scanning: C:\Users\Flowris\Documents\My Games\Spring\packages
    [~ScopedOnceTimer][CArchiveScanner::ScanAllDirs] 47ms
    [WatchDog::DeregisterThread] deregistering controls for thread [vfsi]
    [ThreadPool::SetThreadCount][1] wanted=3 current=1 maximum=4 (init=1)
    [ThreadPool::SetThreadCount][2] workers=2
    [Threading] Main thread CPU affinity mask set: 252
    [f=-000001] [~ScopedOnceTimer][ISound::Init::New] 0ms
    [f=-000001] [Sound] [ISound::Initialize] spawning sound-thread (0.0ms)
    [f=-000001] [Sound] [Sound::UpdateThread][1] cfgMaxSounds=128
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [audio]
    [f=-000001] [Sound] [Sound::InitThread][1]
    [f=-000001] [Sound] [Sound::InitThread][2] opening default device "OpenAL Soft"
    [f=-000001] [Sound] [Sound::InitThread][3] device=07110970 context=06304bc8
    [f=-000001] [Sound] [Sound::InitThread][4][OpenAL API Info]
    [f=-000001] [Sound]   Vendor:         OpenAL Community
    [f=-000001] [Sound]   Version:        1.1 ALSOFT 1.16.0
    [f=-000001] [Sound]   Renderer:       OpenAL Soft
    [f=-000001] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
    [f=-000001] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFTX_HRTF ALC_SOFT_loopback ALC_SOFTX_midi_interface ALC_SOFT_pause_device
    [f=-000001] [Sound]   Devices:
    [f=-000001] [Sound]     [Speakers (High Definition Audio Device)]
    [f=-000001] [Sound]     [Speakers (High Definition Audio Device)]
    [f=-000001] [Sound]     [Digital Audio (S/PDIF) (High Definition Audio Device)]
    [f=-000001] [Sound]     [LG Ultra HD-8 (NVIDIA High Definition Audio)]
    [f=-000001] [Sound]     [Speakers (Samson C01U Pro Mic)]
    [f=-000001] [Sound]     [MStar Demo-0 (NVIDIA High Definition Audio)]
    [f=-000001] [Sound] [Sound::GetMaxMonoSources] #attribs=15
    [f=-000001] [Sound] [Sound::GetMaxMonoSources] {cfg,alc}MaxSounds={128,255}
    [f=-000001] [Sound] Error:   EFX: AL_INVALID_VALUE (40963)
    [f=-000001] [Sound] Error:   Initializing EFX failed!
    [f=-000001] [Sound] [Sound::UpdateThread][2]
    [f=-000001] [~ScopedOnceTimer][ISound::Init::Dev] 100ms
    [f=-000001] [StartScript] Loading StartScript from: C:\Users\Flowris\AppData\Roaming\springlobby\script.txt
    [f=-000001] [CPreGame] client using IP 47.149.17.225 and port 8008
    [f=-000001] [NetProto::InitClient] connecting to IP 47.149.17.225 on port 8008 using name [teh]Flow
    [f=-000001] [GR::LogDisplayMode] display-mode set to 3840x2160x24bpp@60Hz (fullscreen::borderless)
    [f=-000001] [PreGame::AddGameSetupArchivesToVFS] using map: DeltaSiegePrime Ultimate
    [f=-000001] [PreGame::AddGameSetupArchivesToVFS] using game: Balanced Annihilation test-8236-162692f (archive: cbf81e5566a8919c9935f8435fa517bd.sdp)
    [f=-000001] [~CPoolArchive] name="C:\Users\Flowris\Documents\My Games\Spring\packages\cbf81e5566a8919c9935f8435fa517bd.sdp" numZipFiles=6990 sumInflSize=108125kb sumReadTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_14.png" indx=8 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_15.png" indx=9 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_10.png" indx=4 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_13.png" indx=7 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_11.png" indx=5 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_1.png" indx=3 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack.txt" indx=1 inflSize=0kb readTime=0ms
    [f=-000001] 	file=".gitattributes" indx=0 inflSize=0kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_0.png" indx=2 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_12.png" indx=6 inflSize=1kb readTime=0ms
    [f=-000001] PreGame::GameDataReceived] recording demo to "C:\Users\Flowris\Documents\My Games\Spring\demos\20171129_190848_DeltaSiegePrime Ultimate_104.0.1-104-g2135e2e maintenance.sdfz"
    [f=-000001] [~ScopedOnceTimer][PreGame::GameDataReceived] 78ms
    [f=-000001] [PreGame::UpdateClientNet] received user number 1 (team 1, allyteam 0), creating load-screen
    [f=-000001] [LuaIntro] Searching for new Widgets
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/chili/
    [f=-000001] [LuaIntro] Found new widget "SpringLogo"
    [f=-000001] [LuaIntro] Found new widget "LoadTexture"
    [f=-000001] [LuaIntro] Found new widget "LoadProgress"
    [f=-000001] [LuaIntro] Found new widget "Main"
    [f=-000001] [LuaIntro] Found new widget "Music"
    [f=-000001] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=-000001] [LuaIntro] Loading widget:      Engine Taskbar Stuff   <engine_taskbar_control.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=-000001] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=-000001] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=-000001] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=-000001] [LoadScreen::Init] single-threaded
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [load]
    [f=-000001] [Game::LoadGame][1] globalQuit=0 threaded=0
    [f=-000001] Parsing Map Information
    [f=-000001] Loading SMF
    [f=-000001] Loading Map (81 MB)
    [f=-000001] Loading Radar Icons
    [f=-000001] Loading GameData Definitions
    [f=-000001] [defs.lua] loading all *Defs tables: 118ms
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (GameData)] 153ms
    [f=-000001] Loading Sound Definitions
    [f=-000001] [Sound]  parsed 28 sounds from gamedata/sounds.lua
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (Sound)] 1ms
    [f=-000001] [Game::LoadGame][2] globalQuit=0 forcedQuit=0
    [f=-000001] Creating Smooth Height Mesh
    [f=-000001] [~ScopedOnceTimer][SmoothHeightMesh::MakeSmoothMesh] 28ms
    [f=-000001] Creating QuadField & CEGs
    [f=-000001] [CDamageArrayHandler] number of ArmorDefs: 17
    [f=-000001] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;*.obj;
    [f=-000001] Creating Unit Textures
    [f=-000001] Creating Sky
    [f=-000001] [Game::LoadGame][3] globalQuit=0 forcedQuit=0
    [f=-000001] Loading Weapon Definitions
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (WeaponDefs)] 978ms
    [f=-000001] Loading Unit Definitions
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (UnitDefs)] 71ms
    [f=-000001] Loading Feature Definitions
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (FeatureDefs)] 33ms
    [f=-000001] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=-000001] Initializing Map Features
    [f=-000001] Creating ShadowHandler
    [f=-000001] Creating InfoTextureHandler
    [f=-000001] InfoTexture: shaders
    [f=-000001] Creating GroundDrawer
    [f=-000001] Loading Map Tiles
    [f=-000001] Loading Square Textures
    [f=-000001] [~ScopedOnceTimer][CSMFGroundTextures::ConvolveHeightMap] 1ms
    [f=-000001] Switching to ROAM Mesh Rendering
    [f=-000001] Creating TreeDrawer
    [f=-000001] Loaded DecalsDrawer: Legacy
    [f=-000001] Creating ProjectileDrawer & UnitDrawer
    [f=-000001] Creating Projectile Textures
    [f=-000001] Warning: [CCEG::ParseExplosionCode] unknown op-code "t" in "true" at index 1
    [f=-000001] Warning: [CCEG::ParseExplosionCode] unknown op-code "u" in "true" at index 3
    [f=-000001] Warning: [CCEG::ParseExplosionCode] unknown op-code "e" in "true" at index 4
    [f=-000001] Warning: [CCEG::ParseExplosionCode] unknown op-code "t" in "true" at index 1
    [f=-000001] Warning: [CCEG::ParseExplosionCode] unknown op-code "u" in "true" at index 3
    [f=-000001] Warning: [CCEG::ParseExplosionCode] unknown op-code "e" in "true" at index 4
    [f=-000001] Creating Water
    [f=-000001] [Game::LoadGame][4] globalQuit=0 forcedQuit=0
    [f=-000001] [~ScopedOnceTimer][Game::LoadInterface (Camera&Mouse)] 74ms
    [f=-000001] [~ScopedOnceTimer][Game::LoadInterface (Console)] 9ms
    [f=-000001] Loading LuaRules
    [f=-000001] [ChickenDefense: Chicken Overseer] Deactivated!
    [f=-000001] [ChickenDefense: ProgenitorSpawner] Deactivated!
    [f=-000001] [ChickenDefense: Chicken Defense Spawner] Deactivated!
    [f=-000001] [ChickenDefense: Chicken Special Damage] Deactivated!
    [f=-000001] Loaded synced gadget:  Metalspot Finder Gadget  <mex_spot_finder.lua>
    [f=-000001] Loaded synced gadget:  Rez Exp             <unit_rez_exp.lua>
    [f=-000001] Loaded synced gadget:  Stats               <api_damage_stats.lua>
    [f=-000001] Loaded synced gadget:  ranks api           <api_ranks.lua>
    [f=-000001] [Gaia Critters] gadget:Initialize() Game.mapName=DeltaSiegePrime Ultimate
    [f=-000001] [Gaia Critters] No critter config for this map
    [f=-000001] Loaded synced gadget:  gaia critter units  <gaia_critters.lua>
    [f=-000001] Loaded synced gadget:  IconGenerator       <unit_icongenerator.lua>
    [f=-000001] Loaded synced gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=-000001] Loaded synced gadget:  Awards              <gui_awards.lua>
    [f=-000001] Loaded synced gadget:  Map TerrainTypes    <map_terraintype.lua>
    [f=-000001] Loaded synced gadget:  Map Waterlevel      <map_waterlevel.lua>
    [f=-000001] Loaded synced gadget:  Newbie Info         <gui_newbie_info.lua>
    [f=-000001] Loaded synced gadget:  ARMSUB SURFACING Testing gadget  <armsubsurface.lua>
    [f=-000001] Loaded synced gadget:  Activity Broadcast  <activity_broadcast.lua>
    [f=-000001] Loaded synced gadget:  Air Release         <unit_air_release_manager.lua>
    [f=-000001] Loaded synced gadget:  Air Transports Handler  <air_transports.lua>
    [f=-000001] Loaded synced gadget:  Air Transports fix  <air_transports_fix.lua>
    [f=-000001] Loaded synced gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=-000001] Loaded synced gadget:  Ally Selected Units  <cmd_selected_units.lua>
    [f=-000001] Loaded synced gadget:  Bet Engine          <cmd_bet_engine.lua>
    [f=-000001] Loaded synced gadget:  Bomber Control      <unit_bomber_control.lua>
    [f=-000001] Loaded synced gadget:  Build Icons Slowy (/luarules buildiconslow)  <dbg_buildicons_run.lua>
    [f=-000001] Loaded synced gadget:  Cancel orders on share  <unit_cancel_orders_on_share.lua>
    [f=-000001] Loaded synced gadget:  Com Counter         <mo_com_counter.lua>
    [f=-000001] Loaded synced gadget:  Commando Watch      <unit_commando_watch.lua>
    [f=-000001] Loaded synced gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=-000001] Loaded synced gadget:  DGun CmdType Fix    <unit_dgun_cmdtype_fix.lua>
    [f=-000001] Loaded synced gadget:  Death Messages      <game_death_messages.lua>
    [f=-000001] Loaded synced gadget:  Debris Damage       <unit_debris_damage.lua>
    [f=-000001] Loaded synced gadget:  Debris physics      <feature_debris_physics.lua>
    [f=-000001] Loaded synced gadget:  Depthcharge splash  <fx_depthcharge_splash.lua>
    [f=-000001] Loaded synced gadget:  Dev Helper Cmds     <cmd_dev_helpers.lua>
    [f=-000001] Loaded synced gadget:  DirectControl       <unit_direct_control.lua>
    [f=-000001] Loaded synced gadget:  Don't target flyover nukes  <unit_interceptors.lua>
    [f=-000001] Loaded synced gadget:  DragonsDisguise     <unit_set_neutral.lua>
    [f=-000001] Loaded synced gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=-000001] Loaded synced gadget:  Energy Conversion   <game_energy_conversion.lua>
    [f=-000001] Loaded synced gadget:  Engine Hotfixes for Various Engine Kludges  <engine_hotfixes.lua>
    [f=-000001] Loaded synced gadget:  Experimental Bots Steps Damages  <unit_stomp.lua>
    [f=-000001] Loaded synced gadget:  Explosion_lights    <gfx_explosion_lights.lua>
    [f=-000001] Loaded synced gadget:  FPS Broadcast       <fps_broadcast.lua>
    [f=-000001] Loaded synced gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=-000001] Loaded synced gadget:  Fortification Walls  <unit_fort_walls.lua>
    [f=-000001] Loaded synced gadget:  Game End            <game_end.lua>
    [f=-000001] Loaded synced gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=-000001] Loaded synced gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=-000001] Loaded synced gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=-000001] Loaded synced gadget:  Lua unit script framework  <unit_script.lua>
    [f=-000001] Loaded synced gadget:  LuaUI Reload        <cmd_luaui_reload.lua>
    [f=-000001] Loaded synced gadget:  Maverick Exp        <unit_maverick_exp.lua>
    [f=-000001] Loaded synced gadget:  Merc/Scr stockpile control  <unit_mercscr_stockpile_limit.lua>
    [f=-000001] Loaded synced gadget:  Missile smoke       <fx_missile_smoke.lua>
    [f=-000001] Loaded synced gadget:  NanoTC Platforms    <unit_nanotcplat.lua>
    [f=-000001] Loaded synced gadget:  No Land Damage      <unit_no_land_damage.lua>
    [f=-000001] Loaded synced gadget:  No Self Pwn         <unit_noselfpwn.lua>
    [f=-000001] Loaded synced gadget:  No Share Self-D     <unit_prevent_share_self_d.lua>
    [f=-000001] Loaded synced gadget:  Nonblocking mines   <unit_nonblocking_mines.lua>
    [f=-000001] Loaded synced gadget:  Paralyze Damage Multiplier  <unit_paralyze_damage_multiplier.lua>
    [f=-000001] Loaded synced gadget:  Passive Builders v3  <unit_passive_builders.lua>
    [f=-000001] Loaded synced gadget:  PlasmaAutoHighTraj  <unit_plasma_auto_hightraj.lua>
    [f=-000001] Loaded synced gadget:  PopUpWaterStructures  <unit_pop_up_water_structures.lua>
    [f=-000001] Loaded synced gadget:  Prevent Excessive Share  <game_prevent_excessive_share.lua>
    [f=-000001] Loaded synced gadget:  Prevent Lab Hax     <unit_prevent_lab_hax.lua>
    [f=-000001] Loaded synced gadget:  Prevent Lab Hax2    <unit_prevent_lab_hax2.lua>
    [f=-000001] Loaded synced gadget:  Prevent Load Hax    <unit_prevent_load_hax.lua>
    [f=-000001] Loaded synced gadget:  Prevent Range Hax   <unit_prevent_range_hax.lua>
    [f=-000001] Loaded synced gadget:  Prevent Strange Orders  <unit_prevent_strange_orders.lua>
    [f=-000001] Loaded synced gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=-000001] Loaded synced gadget:  Prevent outside-of-map hax  <unit_prevent_aircraft_hax.lua>
    [f=-000001] Loaded synced gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=-000001] Loaded synced gadget:  Reclaim effect      <gfx_reclaim_fx.lua>
    [f=-000001] Loaded synced gadget:  Remove Stop         <cmd_remove_stop.lua>
    [f=-000001] Loaded synced gadget:  Remove Wait         <cmd_remove_wait.lua>
    [f=-000001] Loaded synced gadget:  ReverseMovementHandler  <unit_reverse_move.lua>
    [f=-000001] Loaded synced gadget:  SeaPlatforms        <unit_sea_platform.lua>
    [f=-000001] Loaded synced gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=-000001] Loaded synced gadget:  Stealthy Passengers  <unit_stealthy_passengers.lua>
    [f=-000001] Loaded synced gadget:  Stun Control        <unit_stun_control.lua>
    [f=-000001] Loaded synced gadget:  Stun Energy Storage  <unit_stun_energy_storage.lua>
    [f=-000001] Loaded synced gadget:  Stun Metal Storage  <unit_stun_metal_storage.lua>
    [f=-000001] Loaded synced gadget:  System info         <system_info.lua>
    [f=-000001] Loaded synced gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=-000001] Loaded synced gadget:  Team Resourcing     <game_team_resources.lua>
    [f=-000001] Loaded synced gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=-000001] Loaded synced gadget:  TurnRadius          <unit_airunitsturnradius.lua>
    [f=-000001] Loaded synced gadget:  Unally on demand    <cmd_alliance_break.lua>
    [f=-000001] Loaded synced gadget:  Unit transportable nanos  <unit_transportable_nanos.lua>
    [f=-000001] Loaded synced gadget:  Watereffects        <fx_watersplash.lua>
    [f=-000001] Loaded synced gadget:  Xmas effects        <unit_xmas.lua>
    [f=-000001] Loaded synced gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=-000001] Loaded synced gadget:  game_No_Gib_Damage.lua  <game_no_gib_damage.lua>
    [f=-000001] Loaded synced gadget:  game_no_share_to_enemy  <game_no_share_to_enemy.lua>
    [f=-000001] Loaded synced gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=-000001] Loaded synced gadget:  lib_startpoint_guesser.lua  <lib_startpoint_guesser.lua>
    [f=-000001] Loaded synced gadget:  lups_cloak_fx.lua   <lups_cloak_fx.lua>
    [f=-000001] Loaded synced gadget:  lups_thrusters.lua  <lups_thrusters.lua>
    [f=-000001] Loaded synced gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    [f=-000001] Loaded synced gadget:  mo_preventcombomb   <mo_preventcombomb.lua>
    [f=-000001] Loaded synced gadget:  subMissile splash   <fx_submissile_splash.lua>
    [f=-000001] Loaded synced gadget:  transportfix        <unit_transportfix.lua>
    [f=-000001] Loaded synced gadget:  unit_combomb_full_damage  <unit_combomb_full_damage.lua>
    [f=-000001] Loaded synced gadget:  Airbase Manager     <unit_airbase.lua>
    [f=-000001] Loaded synced gadget:  Area Attack         <unit_areaattack.lua>
    [f=-000001] Loaded synced gadget:  Control Victory     <game_controlvictory.lua>
    [f=-000001] Loaded synced gadget:  CustomUnitShaders   <gfx_customunitshaders.lua>
    [f=-000001] Loaded synced gadget:  Give Command        <cmd_give.lua>
    [f=-000001] Loaded synced gadget:  Take Manager        <cmd_idle_players.lua>
    [f=-000001] Loaded synced gadget:  Team Com Ends + dead allyteam blowup  <game_team_com_ends.lua>
    [f=-000001] Loaded synced gadget:  Undo Self Destruction Havoc  <cmd_undo.lua>
    [f=-000001] Loaded synced gadget:  Substitution        <game_replace_afk_players.lua>
    [f=-000001] Loaded synced gadget:  resurrected param   <unit_resurrected.lua>
    [f=-000001] Loaded synced gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=-000001] Loaded synced gadget:  Mobile Unit Paralyze Damage Handler  <unit_paralyze_damage_limit.lua>
    [f=-000001] Loaded synced gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=-000001] Loaded synced gadget:  Fighter radius      <unit_fighterradius.lua>
    [f=-000001] Loaded synced gadget:  Profiler            <dbg_profiler.lua>
    [f=-000001] Loaded synced gadget:  Version Warning     <version_warning.lua>
    [f=-000001] <LockCamera>: Sorry for the camera switch spam, but this is the only reliable way to list camera states other than hardcoding them
    [f=-000001] Switching to Overview style camera
    [f=-000001] Switching to Spring style camera
    [f=-000001] Switching to Free style camera
    [f=-000001] Switching to Rotatable overhead camera
    [f=-000001] Switching to Overhead (TA) style camera
    [f=-000001] Switching to FPS style camera
    [f=-000001] Switching to Overhead (TA) style camera
    [f=-000001] [ChickenDefense: Chicken Overseer] Deactivated!
    [f=-000001] [ChickenDefense: ProgenitorSpawner] Deactivated!
    [f=-000001] [ChickenDefense: Chicken Defense Spawner] Deactivated!
    [f=-000001] [ChickenDefense: Chicken Special Damage] Deactivated!
    [f=-000001] Loaded unsynced gadget:  Stats               <api_damage_stats.lua>
    [f=-000001] Loaded unsynced gadget:  ranks api           <api_ranks.lua>
    [f=-000001] Loaded unsynced gadget:  CustomIcons         <unit_customicons.lua>
    [f=-000001] Loaded unsynced gadget:  IconGenerator       <unit_icongenerator.lua>
    [f=-000001] Loaded unsynced gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=-000001] Loaded unsynced gadget:  Awards              <gui_awards.lua>
    [f=-000001] Loaded unsynced gadget:  Map TerrainTypes    <map_terraintype.lua>
    [f=-000001] Loaded unsynced gadget:  Map Waterlevel      <map_waterlevel.lua>
    [f=-000001] Loaded unsynced gadget:  Newbie Info         <gui_newbie_info.lua>
    [f=-000001] Loaded unsynced gadget:  Sun Handler         <map_sun_handler.lua>
    [f=-000001] Loaded unsynced gadget:  ARMSUB SURFACING Testing gadget  <armsubsurface.lua>
    [f=-000001] Loaded unsynced gadget:  Activity Broadcast  <activity_broadcast.lua>
    [f=-000001] Loaded unsynced gadget:  Air Release         <unit_air_release_manager.lua>
    [f=-000001] Loaded unsynced gadget:  Air Transports Handler  <air_transports.lua>
    [f=-000001] Loaded unsynced gadget:  Air Transports fix  <air_transports_fix.lua>
    [f=-000001] Loaded unsynced gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=-000001] Loaded unsynced gadget:  Ally Selected Units  <cmd_selected_units.lua>
    [f=-000001] Loaded unsynced gadget:  Bet Engine          <cmd_bet_engine.lua>
    [f=-000001] Loaded unsynced gadget:  Build Icons Slowy (/luarules buildiconslow)  <dbg_buildicons_run.lua>
    [f=-000001] Loaded unsynced gadget:  Cancel orders on share  <unit_cancel_orders_on_share.lua>
    [f=-000001] Loaded unsynced gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=-000001] Loaded unsynced gadget:  Debris Damage       <unit_debris_damage.lua>
    [f=-000001] Loaded unsynced gadget:  Dev Helper Cmds     <cmd_dev_helpers.lua>
    [f=-000001] Loaded unsynced gadget:  DragonsDisguise     <unit_set_neutral.lua>
    [f=-000001] Loaded unsynced gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=-000001] Loaded unsynced gadget:  Engine Hotfixes for Various Engine Kludges  <engine_hotfixes.lua>
    [f=-000001] Loaded unsynced gadget:  Experimental Bots Steps Damages  <unit_stomp.lua>
    [f=-000001] Loaded unsynced gadget:  Explosion_lights    <gfx_explosion_lights.lua>
    [f=-000001] Loaded unsynced gadget:  FPS Broadcast       <fps_broadcast.lua>
    [f=-000001] Loaded unsynced gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=-000001] Loaded unsynced gadget:  Fortification Walls  <unit_fort_walls.lua>
    [f=-000001] Loaded unsynced gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=-000001] Loaded unsynced gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=-000001] Loaded unsynced gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=-000001] Loaded unsynced gadget:  LuaUI Reload        <cmd_luaui_reload.lua>
    [f=-000001] Loaded unsynced gadget:  Merc/Scr stockpile control  <unit_mercscr_stockpile_limit.lua>
    [f=-000001] Loaded unsynced gadget:  NanoTC Platforms    <unit_nanotcplat.lua>
    [f=-000001] Loaded unsynced gadget:  No Share Self-D     <unit_prevent_share_self_d.lua>
    [f=-000001] Loaded unsynced gadget:  PlasmaAutoHighTraj  <unit_plasma_auto_hightraj.lua>
    [f=-000001] Loaded unsynced gadget:  PopUpWaterStructures  <unit_pop_up_water_structures.lua>
    [f=-000001] Loaded unsynced gadget:  Prevent Lab Hax2    <unit_prevent_lab_hax2.lua>
    [f=-000001] Loaded unsynced gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=-000001] Loaded unsynced gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=-000001] Loaded unsynced gadget:  Reclaim effect      <gfx_reclaim_fx.lua>
    [f=-000001] Loaded unsynced gadget:  ReverseMovementHandler  <unit_reverse_move.lua>
    [f=-000001] Loaded unsynced gadget:  SeaPlatforms        <unit_sea_platform.lua>
    [f=-000001] Loaded unsynced gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=-000001] Loaded unsynced gadget:  System info         <system_info.lua>
    [f=-000001] Loaded unsynced gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=-000001] Loaded unsynced gadget:  Thrusters           <lups_thrusters.lua>
    [f=-000001] Loaded unsynced gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=-000001] Loaded unsynced gadget:  TurnRadius          <unit_airunitsturnradius.lua>
    [f=-000001] Loaded unsynced gadget:  Unally on demand    <cmd_alliance_break.lua>
    [f=-000001] Loaded unsynced gadget:  Xmas effects        <unit_xmas.lua>
    [f=-000001] Loaded unsynced gadget:  cmd_remove_stop.lua  <cmd_remove_stop.lua>
    [f=-000001] Loaded unsynced gadget:  cmd_remove_wait.lua  <cmd_remove_wait.lua>
    [f=-000001] Loaded unsynced gadget:  feature_debris_physics.lua  <feature_debris_physics.lua>
    [f=-000001] Loaded unsynced gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=-000001] Loaded unsynced gadget:  game_No_Gib_Damage.lua  <game_no_gib_damage.lua>
    [f=-000001] Loaded unsynced gadget:  game_no_share_to_enemy  <game_no_share_to_enemy.lua>
    [f=-000001] Loaded unsynced gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=-000001] Loaded unsynced gadget:  lib_startpoint_guesser.lua  <lib_startpoint_guesser.lua>
    [f=-000001] Loaded unsynced gadget:  mex_spot_finder.lua  <mex_spot_finder.lua>
    [f=-000001] Loaded unsynced gadget:  mo_ffa              <mo_ffa.lua>
    [f=-000001] Loaded unsynced gadget:  transportfix        <unit_transportfix.lua>
    [f=-000001] Loaded unsynced gadget:  Airbase Manager     <unit_airbase.lua>
    [f=-000001] Loaded unsynced gadget:  Area Attack         <unit_areaattack.lua>
    [f=-000001] Loaded unsynced gadget:  Control Victory     <game_controlvictory.lua>
    [f=-000001] Loaded unsynced gadget:  CustomUnitShaders   <gfx_customunitshaders.lua>
    [f=-000001] Loaded unsynced gadget:  Give Command        <cmd_give.lua>
    [f=-000001] Loaded unsynced gadget:  Take Manager        <cmd_idle_players.lua>
    [f=-000001] Loaded unsynced gadget:  Undo Self Destruction Havoc  <cmd_undo.lua>
    [f=-000001] Loaded unsynced gadget:  Substitution        <game_replace_afk_players.lua>
    [f=-000001] Loaded unsynced gadget:  resurrected param   <unit_resurrected.lua>
    [f=-000001] Loaded unsynced gadget:  Lups Cloak FX       <lups_cloak_fx.lua>
    [f=-000001] Loaded unsynced gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=-000001] Loaded unsynced gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=-000001] Loaded unsynced gadget:  Fighter radius      <unit_fighterradius.lua>
    [f=-000001] Loaded unsynced gadget:  Lups                <lups_wrapper.lua>
    [f=-000001] Loaded unsynced gadget:  Profiler            <dbg_profiler.lua>
    [f=-000001] Loaded unsynced gadget:  Version Warning     <version_warning.lua>
    [f=-000001] Loading LuaGaia
    [f=-000001] Loading LuaUI
    [f=-000001] LuaUI Entry Point: "luaui.lua"
    [f=-000001] LuaUI Access Lock: enabled
    [f=-000001] LuaSocket Enabled: yes
    [f=-000001] Using LUAUI_DIRNAME = LuaUI/
    [f=-000001] Reloading GUI config from file: LuaUI/ctrlpanel.txt
    [f=-000001] LuaUI: bound F11 to the widget selector
    [f=-000001] LuaUI: bound CTRL+F11 to tweak mode
    [f=-000001] LuaUI: Allowing User Widgets
    [f=-000001] [ChickenDefense: Chicken Team Colour] Deactivated!
    [f=-000001] [ChickenDefense: Chicken Panel] Deactivated!
    [f=-000001] Loading widget from mod:   Spy move/reclaim defaults  <unit_default_spy_move_cloaked.lua> ...
    [f=-000001] Loading widget from mod:   Tooltip             <gui_tooltip.lua> ...
    [f=-000001] Loading widget from mod:   Widget Selector     <widget_selector.lua> ...
    [f=-000001] Loading widget from mod:   Unit Stats          <gui_unit_stats.lua> ...
    [f=-000001] Loading widget from mod:   Deferred rendering  <gfx_deferred_rendering.lua> ...
    [f=-000001] Loading widget from mod:   Red_UI_Framework    <red_ui_framework.lua> ...
    [f=-000001] Loading widget from mod:   Top Bar             <gui_top_bar.lua> ...
    [f=-000001] Loading widget from mod:   TeamStats           <gui_teamstats.lua> ...
    [f=-000001] Loading widget from mod:   Metalspot Finder    <api_metalspot_finder.lua> ...
    [f=-000001] Loading widget from mod:   Player Color Palette  <gui_player_color_palette.lua> ...
    [f=-000001] Loading widget from mod:   Depth of Field      <gfx_dof.lua> ...
    [f=-000001] DoF shaderlog:
    [f=-000001] 0(29) : warning C7011: implicit cast from "int" to "float"
    0(32) : warning C7011: implicit cast from "int" to "float"
    0(32) : warning C7011: implicit cast from "int" to "float"
    0(46) : warning C7011: implicit cast from "int" to "float"
    0(49) : warning C7011: implicit cast from "int" to "float"
    0(49) : warning C7011: implicit cast from "int" to "float"
    0(53) : warning C7011: implicit cast from "int" to "float"
    0(53) : warning C7011: implicit cast from "int" to "float"
    0(53) : warning C7011: implicit cast from "int" to "float"
    
    [f=-000001] Loading widget from mod:   Shadow Quality Manager  <gfx_shadow_quality_manager.lua> ...
    [f=-000001] Set "shadows" config-parameter to 1
    [f=-000001] Loading widget from mod:   Pause Screen        <gui_pausescreen.lua> ...
    [f=-000001] Loading widget from mod:   GUI-Shader          <api_gfx_gui_shader.lua> ...
    [f=-000001] Loading widget from mod:   MexUpg Helper       <cmd_mex_upgrade_helper.lua> ...
    [f=-000001] Loading widget from mod:   BA cmdcolors        <gfx_mod_cmdcolors.lua> ...
    [f=-000001] Loading widget from mod:   Red Tooltip         <gui_red_tooltip.lua> ...
    [f=-000001] Loading widget from mod:   Defense Range       <gui_defenserange.lua> ...
    [f=-000001] Loading widget from mod:   Faction Change      <gui_faction_change.lua> ...
    [f=-000001] Loading widget from mod:   Snow                <gfx_snow.lua> ...
    [f=-000001] Loading widget from mod:   Red Minimap         <gui_red_minimap.lua> ...
    [f=-000001] Loading widget from mod:   Health Bars         <gui_healthbars.lua> ...
    [f=-000001] Loading widget from mod:   Map Info            <gui_mapinfo.lua> ...
    [f=-000001] Loading widget from mod:   Ally Selected Units   <gui_allyselectedunits.lua> ...
    [f=-000001] Loading widget from mod:   Outline             <gfx_outline.lua> ...
    [f=-000001] Loading widget from mod:   AdvPlayersList      <gui_advplayerslist.lua> ...
    [f=-000001] Loading widget from mod:   AdvPlayersList info  <gui_advplayerslist_displayinfo.lua> ...
    [f=-000001] frames-per-second indicator is disabled!
    [f=-000001] small digital clock is disabled!
    [f=-000001] simulation speed indicator is disabled!
    [f=-000001] Loading widget from mod:   Clearmapmarks button  <gui_clearmapmarks.lua> ...
    [f=-000001] Loading widget from mod:   AdvPlayersList mascotte  <gui_advplayerslist_mascotte.lua> ...
    [f=-000001] Loading widget from mod:   Discord icon        <gui_discord.lua> ...
    [f=-000001] Loading widget from mod:   AdvPlayersList lockcamera  <gui_advplayerslist_lockcamera.lua> ...
    [f=-000001] frames-per-second indicator is disabled!
    [f=-000001] small digital clock is disabled!
    [f=-000001] simulation speed indicator is disabled!
    [f=-000001] Loading widget from mod:   BuildETA            <gui_build_eta.lua> ...
    [f=-000001] Loading widget from mod:   Initial Queue       <unit_initial_queue.lua> ...
    [f=-000001] Loading widget from mod:   Camera Remember     <camera_remember_mode.lua> ...
    [f=-000001] Loading widget from mod:   CameraFlip          <camera_flip.lua> ...
    [f=-000001] Loading widget from mod:   Darken map          <gfx_darken_map.lua> ...
    [f=-000001] Loading widget from mod:   EMP + decloak range  <gui_emp_decloak_range.lua> ...
    [f=-000001] Loading widget from mod:   Ignore List API     <api_ignore.lua> ...
    [f=-000001] Loading widget from mod:   LOS View            <gfx_los_view.lua> ...
    [f=-000001] Loading widget from mod:   Loop Select         <unit_loop_select.lua> ...
    [f=-000001] Loading widget from mod:   Mex Snap            <cmd_mex_snap.lua> ...
    [f=-000001] Loading widget from mod:   Persistent Build Spacing  <cmd_persistent_build_spacing.lua> ...
    [f=-000001] Loading widget from mod:   ReclaimInfo         <gui_reclaiminfo.lua> ...
    [f=-000001] Loading widget from mod:   RelativeMinimap     <minimap_relative.lua> ...
    [f=-000001] Loading widget from mod:   Share Tracker       <unit_share_tracker.lua> ...
    [f=-000001] Loading widget from mod:   Show Orders         <gui_show_orders.lua> ...
    [f=-000001] Loading widget from mod:   SmartSelect         <unit_smart_select.lua> ...
    [f=-000001] Loading widget from mod:   Spectate Selected   <gui_spectate_selected.lua> ...
    [f=-000001] Loading widget from mod:   State Reverse Toggle  <cmd_state_reverse_toggle.lua> ...
    [f=-000001] Loading widget from mod:   Statistics Collection  <stats_damage.lua> ...
    [f=-000001] Loading widget from mod:   Stop means Stop     <cmd_stop_selfd.lua> ...
    [f=-000001] Loading widget from mod:   Take Proxy          <cmd_take_proxy.lua> ...
    [f=-000001] Loading widget from mod:   Unit Finished Sounds  <snd_unit_finished.lua> ...
    [f=-000001] Loading widget from mod:   Volume OSD          <snd_volume_osd.lua> ...
    [f=-000001] Loading widget from mod:   gui_transport_weight_limit  <gui_transport_weight_limit.lua> ...
    [f=-000001] Loading widget from mod:   Alternate Chat Keys  <cmd_old_style_chat_keys.lua> ...
    [f=-000001] Loading widget from mod:   Auto First Build Facing  <unit_autofirstbuildfacing.lua> ...
    [f=-000001] Loading widget from mod:   Autoquit            <cmd_autoquit.lua> ...
    [f=-000001] Loading widget from mod:   BA LOS colors       <gui_ba_los_colors.lua> ...
    [f=-000001] Loading widget from mod:   Blast Radius        <gui_blast_radius.lua> ...
    [f=-000001] Loading widget from mod:   AllyCursors         <gui_ally_cursors.lua> ...
    [f=-000001] Loading widget from mod:   Red_Drawing         <red_ui_framework_drawing.lua> ...
    [f=-000001] Loading widget from mod:   Red Build/Order Menu  <gui_red_buildordermenu.lua> ...
    [f=-000001] Loading widget from mod:   Selected Units Buttons  <gui_selected_units_buttons.lua> ...
    [f=-000001] Loading widget from mod:   Area Mex            <cmd_area_mex.lua> ...
    [f=-000001] Area Mex: Loaded for BA or NOTA
    [f=-000001] Mexmap detected - loading...
    [f=-000001] mexmap imported from LuaUI/Widgets_BA/MetalMaps/deltasiegeprime ultimate.springmexmap
    [f=-000001] Loading widget from mod:   Highlight Geos      <gui_highlight_geos.lua> ...
    [f=-000001] Loading widget from mod:   Light Effects       <gfx_light_effects.lua> ...
    [f=-000001] Loading widget from mod:   Map Edge Extension  <map_edge_extension.lua> ...
    [f=-000001] Loading widget from mod:   Red Console (In-game chat only)  <gui_red_chatonlyconsole.lua> ...
    [f=-000001] Loading widget from mod:   Red Console (Battle and autohosts)  <gui_red_battleroom.lua> ...
    [f=-000001] Loading widget from mod:   Ghost Site          <unit_ghostsite.lua> ...
    [f=-000001] Loading widget from mod:   Passive builders    <unit_passive_builders.lua> ...
    [f=-000001] Loading widget from mod:   Auto Group          <unit_auto_group.lua> ...
    [f=-000001] Loading widget from mod:   Comblast & Dgun Range  <gui_comblast_dgun_range.lua> ...
    [f=-000001] Loading widget from mod:   Com DontBreakCloak  <unit_com_dontbreakcloak.lua> ...
    [f=-000001] Loading widget from mod:   Specific Unit Reclaimer  <unit_specific_unit_reclaimer.lua> ...
    [f=-000001] Loading widget from mod:   Stockpiler (dynamic)  <unit_stockpile_dynamic.lua> ...
    [f=-000001] Loading widget from mod:   DontMove            <unit_dontmove.lua> ...
    [f=-000001] Loading widget from mod:   ImmobileBuilder     <unit_immobile_builder.lua> ...
    [f=-000001] Loading widget from mod:   NoDuplicateOrders   <cmd_no_duplicate_orders.lua> ...
    [f=-000001] Loading widget from mod:   DGun Stall Assist   <unit_dgun_stall_assist.lua> ...
    [f=-000001] Loading widget from mod:   Ghost Radar         <unit_ghostradar.lua> ...
    [f=-000001] Loading widget from mod:   BuildBar            <gui_buildbar.lua> ...
    [f=-000001] Loading widget from mod:   Start Boxes         <map_startbox.lua> ...
    [f=-000001] Loading widget from mod:   Holdfire Fix        <cmd_holdfire_fix.lua> ...
    [f=-000001] Loading widget from mod:   Build Split         <cmd_buildsplit.lua> ...
    [f=-000001] Loading widget from mod:   Factory hold position  <cmd_fac_holdposition.lua> ...
    [f=-000001] Loading widget from mod:   Load Own Moving     <unit_load_own_moving.lua> ...
    [f=-000001] Loading widget from mod:   Easy Facing         <gui_easyfacing.lua> ...
    [f=-000001] Loading widget from mod:   State Remover       <cmd_state_remove.lua> ...
    [f=-000001] Loading widget from mod:   GameTypeInfo        <gui_game_type_info.lua> ...
    [f=-000001] Loading widget from mod:   First launch setup  <gfx_firstlaunchsetup.lua> ...
    [f=-000001] Loading widget from mod:   Cursors             <gfx_cursors.lua> ...
    [f=-000001] Loading widget from mod:   Ecostats            <gui_ecostats.lua> ...
    [f=-000001] Ecostats: widget loaded in active player mode
    [f=-000001] Loading widget from mod:   Prospector          <gui_prospector.lua> ...
    [f=-000001] Loading widget from mod:   BA Hotkeys          <cmd_ba_hotkeys.lua> ...
    [f=-000001] Loading widget from mod:   Attack AoE          <gui_attack_aoe.lua> ...
    [f=-000001] Loading widget from mod:   Context Build       <cmd_context_build.lua> ...
    [f=-000001] Loading widget from mod:   Attack and Move Notification  <unit_attackmovenotification.lua> ...
    [f=-000001] Loading widget from mod:   Changelog Info      <gui_changelog_info.lua> ...
    [f=-000001] Loading widget from mod:   Commander Name Tags  <gui_com_nametags.lua> ...
    [f=-000001] Loading widget from mod:   Commands info       <gui_commands_info.lua> ...
    [f=-000001] Loading widget from mod:   Game info           <gui_gameinfo.lua> ...
    [f=-000001] Loading widget from mod:   Keybind/Mouse Info  <gui_keybind_info.lua> ...
    [f=-000001] Loading widget from mod:   Mapmarks FX         <gui_mapmarks_fx.lua> ...
    [f=-000001] Loading widget from mod:   Mouse FX            <gui_mouse_fx.lua> ...
    [f=-000001] Loading widget from mod:   Commands FX         <gui_commands_fx.lua> ...
    [f=-000001] Loading widget from mod:   Options             <gui_options.lua> ...
    [f=-000001] Loading widget from mod:   EnemySpotter        <gui_enemy_spotter.lua> ...
    [f=-000001] Loading widget from mod:   Given Units         <gui_given_units.lua> ...
    [f=-000001] Loading widget from mod:   Resurrection Halos  <gui_resurrection_halos.lua> ...
    [f=-000001] Loading widget from mod:   Anti Ranges         <gui_anti_ranges.lua> ...
    [f=-000001] Loading widget from mod:   Highlight Unit      <gui_highlight_unit.lua> ...
    [f=-000001] Loading widget from mod:   Self-Destruct icons  <gui_selfd_icons.lua> ...
    [f=-000001] Loading widget from user:  Hide Mouse          <camera_mouse_cursor_hider.lua> ...
    [f=-000001] Loading widget from mod:   CommandInsert       <cmd_commandinsert.lua> ...
    [f=-000001] Loading widget from mod:   Bomber control      <unit_bomber_control.lua> ...
    [f=-000001] Loading widget from mod:   Set fighters on Fly mode  <unit_set_fighters_fly.lua> ...
    [f=-000001] Loading widget from mod:   Select n Center!    <gui_center_n_select.lua> ...
    [f=-000001] Loading widget from mod:   Bloom Shader        <gfx_bloom_shader.lua> ...
    [f=-000001] Loading widget from mod:   replay buttons      <gui_replaybuttons.lua> ...
    [f=-000001] [Replay Control] Replay not detected, Shutting Down.
    [f=-000001] Loading widget from mod:   Tombstones          <unit_tombstones.lua> ...
    [f=-000001] Loading widget from mod:   LupsManager         <gfx_lups_manager.lua> ...
    [f=-000001] Loading widget from mod:   Highlight Selected Units  <gui_highlight_selectedunits.lua> ...
    [f=-000001] Reloaded cmdcolors from file: cmdcolors.tmp
    [f=-000001] Loading widget from mod:   Mouse Buildspacing  <gui_buildspacing.lua> ...
    [f=-000001] Loading widget from mod:   Lups                <gfx_lups_wrapper.lua> ...
    [f=-000001] Loading widget from mod:   CustomFormations2   <cmd_customformations2.lua> ...
    [f=-000001] LuaUI v0.3
    [f=-000001] [Game::LoadGame][5] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadFinalize] finalizing PFS
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] BLOCK_SIZE=16
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] PATHESTIMATOR_VERSION=89
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] heightMapChecksum=3463590f
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] typeMapChecksum=eed931b1
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] moveDefChecksum=37113d23
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] blockMapChecksum=29a
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] estimatorHashCode=5a4dcae6
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=5a4dcae6 file="cache\104dev-maintenance/paths/DeltaSiegePrime Ultimate.pe-5a4dcae6.zip" (exists=1)
    [f=-000001] Reading Estimate PathCosts [16]
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] BLOCK_SIZE=32
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] PATHESTIMATOR_VERSION=89
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] heightMapChecksum=3463590f
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] typeMapChecksum=eed931b1
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] moveDefChecksum=37113d23
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] blockMapChecksum=29a
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] estimatorHashCode=5a4dcaf6
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=5a4dcaf6 file="cache\104dev-maintenance/paths/DeltaSiegePrime Ultimate.pe2-5a4dcaf6.zip" (exists=1)
    [f=-000001] Reading Estimate PathCosts [32]
    [f=-000001] [LoadFinalize] finalized PFS (750ms, checksum edc2fda8)
    [f=-000001] [Game::LoadGame][6] globalQuit=0 forcedQuit=0
    [f=-000001] [LuaMemPool::LogStats][handle=LuaIntro (unsynced)] index=1 {blocks,sizes}={0,0} {int,ext,rec}Allocs={0,12187,0} {chunk,block}Bytes={0,0}
    [f=-000001] GameID: adf71e5af9ce7ccd3517ab093ea06535
    [f=-000001] Connection attempt from Metabolik
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 2)
    [f=-000001] Connection attempt from [FAU]Ceddral
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 9)
    [f=-000001] Connection attempt from again
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 13)
    [f=-000001] Connection attempt from [GODBLESS]Mando
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 3)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Metabolik" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Metabolik" string="[PreGame::GameDataReceived][mod-checksums={0xc898bfe0,0xc898bfe0}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[GODBLESS]Mando" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[GODBLESS]Mando" string="[PreGame::GameDataReceived][mod-checksums={0xc898bfe0,0xc898bfe0}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="again" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="again" string="[PreGame::GameDataReceived][mod-checksums={0xc898bfe0,0xc898bfe0}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[FAU]Ceddral" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[FAU]Ceddral" string="[PreGame::GameDataReceived][mod-checksums={0xc898bfe0,0xc898bfe0}]"
    [f=-000001] Connection attempt from [teh]Flow
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 1)
    [f=-000001] Connection attempt from [FUEL]OutRun
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 8)
    [f=-000001] Connection attempt from JoeTheSpec
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 0)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[teh]Flow" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[teh]Flow" string="[PreGame::GameDataReceived][mod-checksums={0xc898bfe0,0xc898bfe0}]"
    [f=-000001] Connection attempt from [teh]Lucy
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 4)
    [f=-000001] Connection attempt from conecat
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 6)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[FUEL]OutRun" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[FUEL]OutRun" string="[PreGame::GameDataReceived][mod-checksums={0xc898bfe0,0xc898bfe0}]"
    [f=-000001] Connection attempt from [PinK]triton
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 12)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[teh]Lucy" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[teh]Lucy" string="[PreGame::GameDataReceived][mod-checksums={0xc898bfe0,0xc898bfe0}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="JoeTheSpec" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="JoeTheSpec" string="[PreGame::GameDataReceived][mod-checksums={0xc898bfe0,0xc898bfe0}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="conecat" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="conecat" string="[PreGame::GameDataReceived][mod-checksums={0xc898bfe0,0xc898bfe0}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PinK]triton" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PinK]triton" string="[PreGame::GameDataReceived][mod-checksums={0xc898bfe0,0xc898bfe0}]"
    [f=-000001] Connection attempt from [PinK]pta[Q___Q]
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 11)
    [f=-000001] Connection attempt from Badger
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 5)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PinK]pta[Q___Q]" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PinK]pta[Q___Q]" string="[PreGame::GameDataReceived][mod-checksums={0xc898bfe0,0xc898bfe0}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Badger" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Badger" string="[PreGame::GameDataReceived][mod-checksums={0xc898bfe0,0xc898bfe0}]"
    [f=-000001] Connection attempt from tzui
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 10)
    [f=-000001] Connection attempt from borderbridge
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 7)
    [f=-000001] DisableWidget(), could not find widget: External VR Grid
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="tzui" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="tzui" string="[PreGame::GameDataReceived][mod-checksums={0xc898bfe0,0xc898bfe0}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="borderbridge" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="borderbridge" string="[PreGame::GameDataReceived][mod-checksums={0xc898bfe0,0xc898bfe0}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="again" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=4fa1f315b678763d1c0235f2d699b74e9726bc32ec75eb925480e97bf14d57806beea86f7250ef7016451e8e6e72e073a6f2e45573cdd8252057dbe41089c13d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[FAU]Ceddral" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=4fa1f315b678763d1c0235f2d699b74e9726bc32ec75eb925480e97bf14d57806beea86f7250ef7016451e8e6e72e073a6f2e45573cdd8252057dbe41089c13d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[FUEL]OutRun" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=4fa1f315b678763d1c0235f2d699b74e9726bc32ec75eb925480e97bf14d57806beea86f7250ef7016451e8e6e72e073a6f2e45573cdd8252057dbe41089c13d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[teh]Flow" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=4fa1f315b678763d1c0235f2d699b74e9726bc32ec75eb925480e97bf14d57806beea86f7250ef7016451e8e6e72e073a6f2e45573cdd8252057dbe41089c13d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Metabolik" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=4fa1f315b678763d1c0235f2d699b74e9726bc32ec75eb925480e97bf14d57806beea86f7250ef7016451e8e6e72e073a6f2e45573cdd8252057dbe41089c13d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="conecat" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=4fa1f315b678763d1c0235f2d699b74e9726bc32ec75eb925480e97bf14d57806beea86f7250ef7016451e8e6e72e073a6f2e45573cdd8252057dbe41089c13d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="JoeTheSpec" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=4fa1f315b678763d1c0235f2d699b74e9726bc32ec75eb925480e97bf14d57806beea86f7250ef7016451e8e6e72e073a6f2e45573cdd8252057dbe41089c13d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[GODBLESS]Mando" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=4fa1f315b678763d1c0235f2d699b74e9726bc32ec75eb925480e97bf14d57806beea86f7250ef7016451e8e6e72e073a6f2e45573cdd8252057dbe41089c13d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PinK]triton" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=4fa1f315b678763d1c0235f2d699b74e9726bc32ec75eb925480e97bf14d57806beea86f7250ef7016451e8e6e72e073a6f2e45573cdd8252057dbe41089c13d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[FAU]Ceddral" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=a8b9d8021594b1629429178a02188726b1833632ec3a37e62ca716a792325bc20086fa61dc3c25a5cd078fed79730a7a5bbf2866660b92c46362766e926ef40d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="JoeTheSpec" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=a8b9d8021594b1629429178a02188726b1833632ec3a37e62ca716a792325bc20086fa61dc3c25a5cd078fed79730a7a5bbf2866660b92c46362766e926ef40d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="conecat" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=a8b9d8021594b1629429178a02188726b1833632ec3a37e62ca716a792325bc20086fa61dc3c25a5cd078fed79730a7a5bbf2866660b92c46362766e926ef40d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[teh]Flow" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=a8b9d8021594b1629429178a02188726b1833632ec3a37e62ca716a792325bc20086fa61dc3c25a5cd078fed79730a7a5bbf2866660b92c46362766e926ef40d]"
    [f=-000001] <[teh]Flow> Private: My player ID is 1
    [f=-000001] <[teh]Flow> Private: My player ID is 1
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[FUEL]OutRun" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=a8b9d8021594b1629429178a02188726b1833632ec3a37e62ca716a792325bc20086fa61dc3c25a5cd078fed79730a7a5bbf2866660b92c46362766e926ef40d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="again" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=a8b9d8021594b1629429178a02188726b1833632ec3a37e62ca716a792325bc20086fa61dc3c25a5cd078fed79730a7a5bbf2866660b92c46362766e926ef40d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Metabolik" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=a8b9d8021594b1629429178a02188726b1833632ec3a37e62ca716a792325bc20086fa61dc3c25a5cd078fed79730a7a5bbf2866660b92c46362766e926ef40d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="borderbridge" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=4fa1f315b678763d1c0235f2d699b74e9726bc32ec75eb925480e97bf14d57806beea86f7250ef7016451e8e6e72e073a6f2e45573cdd8252057dbe41089c13d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="tzui" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=4fa1f315b678763d1c0235f2d699b74e9726bc32ec75eb925480e97bf14d57806beea86f7250ef7016451e8e6e72e073a6f2e45573cdd8252057dbe41089c13d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="tzui" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=a8b9d8021594b1629429178a02188726b1833632ec3a37e62ca716a792325bc20086fa61dc3c25a5cd078fed79730a7a5bbf2866660b92c46362766e926ef40d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PinK]triton" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=a8b9d8021594b1629429178a02188726b1833632ec3a37e62ca716a792325bc20086fa61dc3c25a5cd078fed79730a7a5bbf2866660b92c46362766e926ef40d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="borderbridge" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=a8b9d8021594b1629429178a02188726b1833632ec3a37e62ca716a792325bc20086fa61dc3c25a5cd078fed79730a7a5bbf2866660b92c46362766e926ef40d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[teh]Lucy" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=4fa1f315b678763d1c0235f2d699b74e9726bc32ec75eb925480e97bf14d57806beea86f7250ef7016451e8e6e72e073a6f2e45573cdd8252057dbe41089c13d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[GODBLESS]Mando" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=a8b9d8021594b1629429178a02188726b1833632ec3a37e62ca716a792325bc20086fa61dc3c25a5cd078fed79730a7a5bbf2866660b92c46362766e926ef40d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Badger" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=4fa1f315b678763d1c0235f2d699b74e9726bc32ec75eb925480e97bf14d57806beea86f7250ef7016451e8e6e72e073a6f2e45573cdd8252057dbe41089c13d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PinK]pta[Q___Q]" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=4fa1f315b678763d1c0235f2d699b74e9726bc32ec75eb925480e97bf14d57806beea86f7250ef7016451e8e6e72e073a6f2e45573cdd8252057dbe41089c13d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[teh]Lucy" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=a8b9d8021594b1629429178a02188726b1833632ec3a37e62ca716a792325bc20086fa61dc3c25a5cd078fed79730a7a5bbf2866660b92c46362766e926ef40d]"
    [f=-000001] <[teh]Flow> presets are relatively new here
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PinK]pta[Q___Q]" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=a8b9d8021594b1629429178a02188726b1833632ec3a37e62ca716a792325bc20086fa61dc3c25a5cd078fed79730a7a5bbf2866660b92c46362766e926ef40d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Badger" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=a8b9d8021594b1629429178a02188726b1833632ec3a37e62ca716a792325bc20086fa61dc3c25a5cd078fed79730a7a5bbf2866660b92c46362766e926ef40d]"
    [f=-000001] <[GODBLESS]Mando> ok not advmapshading
    [f=-000001] <[GODBLESS]Mando> GG
    [f=-000001] <[PinK]pta[Q___Q]> jesus
    [f=-000001] <[PinK]pta[Q___Q]> why did u have to start it again 
    [f=-000001] <[PinK]pta[Q___Q]> try as spec ffs
    [f=-000001] <[GODBLESS]Mando> xD
    [f=-000001] <[teh]Flow> triton just suggest as player?
    [f=-000001] [[PinK]triton] Id like to offer to play
    [f=-000001] <[GODBLESS]Mando> i thought i would have made it
    [f=-000001] <[PinK]pta[Q___Q]> yea
    [f=-000001] <borderbridge> just try to play i will be a challange
    [f=-000001] <[PinK]pta[Q___Q]> !ring trit
    [f=-000001] > BAAlphatest1 * Unable to ring [PinK]triton (ring spam protection, please wait 329s)
    [f=-000001] Player [GODBLESS]Mando left the game:  normal quit
    [f=-000001] <[teh]Flow> MAndo plz leave the game for a min until we start
    [f=-000001] <JoeTheSpec> mando, is it true that Japan has toilets which clean your arse automatically?
    [f=-000001] <borderbridge> i bet you will have a lot of fun
    [f=-000001] [[PinK]triton] ye Joe
    [f=-000001] > <[GODBLESS]Mando> Ye i did
    [f=-000001] [[PinK]triton] not only japan
    [f=-000001] > <[GODBLESS]Mando> waiting
    [f=-000001] <JoeTheSpec> ^^
    [f=-000001] <[PinK]pta[Q___Q]> triton ready ?
    [f=-000001] [[PinK]triton] rdy for what? I am spec
    [f=-000001] <JoeTheSpec> where can I buy one of those 
    [f=-000001] <[PinK]pta[Q___Q]> join as mando
    [f=-000001] <[teh]Flow> for suggesting xD
    [f=-000001] Spectator [PinK]triton left the game:  normal quit
    [f=-000001] <[PinK]pta[Q___Q]> so we dont have to re
    [f=-000001] > <[GODBLESS]Mando> I will sell mine JoeTheSpec
    [f=-000001] > <[GODBLESS]Mando> Used by mando has extra cost tho
    [f=-000001] <JoeTheSpec> how much?
    [f=-000001] <tzui> now we waiting the next 10 min
    [f=-000001] > BAAlphatest1 * [ur]girlfriend called a vote for command "joinAs [GODBLESS]Mando [ur]girlfriend" [!vote y, !vote n, !vote b]
    [f=-000001] > BAAlphatest1 * 12 users allowed to vote.
    [f=-000001] <tzui> thanks mando
    [f=-000001] > BAAlphatest1 * Vote in progress: "joinAs [GODBLESS]Mando [ur]girlfriend" [y:2/7, n:0/7] (38s remaining)
    [f=-000001] <[PinK]pta[Q___Q]> !y
    [f=-000001] > BAAlphatest1 * Vote in progress: "joinAs [GODBLESS]Mando [ur]girlfriend" [y:3/7, n:0/7] (38s remaining)
    [f=-000001] <[PinK]pta[Q___Q]> vote y
    [f=-000001] <conecat> !kickban mando
    [f=-000001] > BAAlphatest1 * conecat, there is already a vote in progress, please wait for it to finish before calling another one.
    [f=-000001] <tzui> !y
    [f=-000001] > BAAlphatest1 * Vote in progress: "joinAs [GODBLESS]Mando [ur]girlfriend" [y:4/7, n:0/7] (32s remaining)
    [f=-000001] <[PinK]pta[Q___Q]> !ring 
    [f=-000001] > BAAlphatest1 * Ringing 9 remaining voters (by [PinK]pta[Q___Q])
    [f=-000001] > BAAlphatest1 * Vote in progress: "joinAs [GODBLESS]Mando [ur]girlfriend" [y:5/7, n:0/7] (30s remaining)
    [f=-000001] > BAAlphatest1 * Vote in progress: "joinAs [GODBLESS]Mando [ur]girlfriend" [y:6/7, n:0/7] (28s remaining)
    [f=-000001] <[FUEL]OutRun> still need paper anyway ....cause no electricity= no autoclean
    [f=-000001] <borderbridge> !y
    [f=-000001] > BAAlphatest1 * borderbridge, you have already voted for current vote.
    [f=-000001] > BAAlphatest1 * Adding player [ur]girlfriend in ID 3 (by [teh]Flow)
    [f=-000001] [Game::ClientReadNet] added new player [ur]girlfriend with number 14 to team 3
    [f=-000001] > BAAlphatest1 * Cancelling "joinAs [GODBLESS]Mando [ur]girlfriend" vote (command executed directly by [teh]Flow)
    [f=-000001] > <[GODBLESS]Mando> ok i join and fix my shit
    [f=-000001] <tzui> !y
    [f=-000001] > BAAlphatest1 * tzui, you cannot vote currently, there is no vote in progress.
    [f=-000001] <[teh]Lucy> !y
    [f=-000001] > BAAlphatest1 * [teh]Lucy, you cannot vote currently, there is no vote in progress.
    [f=-000001] Connection attempt from [ur]girlfriend
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 14)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[ur]girlfriend" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[ur]girlfriend" string="[PreGame::GameDataReceived][mod-checksums={0xc898bfe0,0xc898bfe0}]"
    [f=-000001] > <[GODBLESS]Mando> while that cunt plays
    [f=-000001] Connection attempt from [GODBLESS]Mando
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 3)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[GODBLESS]Mando" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[GODBLESS]Mando" string="[PreGame::GameDataReceived][mod-checksums={0xc898bfe0,0xc898bfe0}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[ur]girlfriend" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=4fa1f315b678763d1c0235f2d699b74e9726bc32ec75eb925480e97bf14d57806beea86f7250ef7016451e8e6e72e073a6f2e45573cdd8252057dbe41089c13d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[ur]girlfriend" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=a8b9d8021594b1629429178a02188726b1833632ec3a37e62ca716a792325bc20086fa61dc3c25a5cd078fed79730a7a5bbf2866660b92c46362766e926ef40d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[GODBLESS]Mando" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=4fa1f315b678763d1c0235f2d699b74e9726bc32ec75eb925480e97bf14d57806beea86f7250ef7016451e8e6e72e073a6f2e45573cdd8252057dbe41089c13d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[GODBLESS]Mando" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=a8b9d8021594b1629429178a02188726b1833632ec3a37e62ca716a792325bc20086fa61dc3c25a5cd078fed79730a7a5bbf2866660b92c46362766e926ef40d]"
    [f=-000001] <[ur]girlfriend> !forcestart
    [f=-000001] > BAAlphatest1 * [ur]girlfriend called a vote for command "forcestart" [!vote y, !vote n, !vote b]
    [f=-000001] > BAAlphatest1 * 14 users allowed to vote.
    [f=-000001] <[PinK]pta[Q___Q]> !forcestart
    [f=-000001] > BAAlphatest1 * Forcing game start by [PinK]pta[Q___Q]
    [f=-000001] > BAAlphatest1 * Cancelling "forcestart" vote (command executed directly by [PinK]pta[Q___Q])
    [f=-000001] <[GODBLESS]Mando> omfg
    [f=-000001] <[GODBLESS]Mando> what a mess
    [f=-000001] <[teh]Flow> !forcestart
    [f=-000001] > BAAlphatest1 * Forcing game start by [teh]Flow
    [f=-000001] Error: Spring 104.0.1-104-g2135e2e maintenance has crashed.
    [f=-000001] Error: DLL information:
    [f=-000001] Error: 0x00400000	spring
    [f=-000001] Error: 0x77990000	ntdll
    [f=-000001] Error: 0x770d0000	KERNEL32
    [f=-000001] Error: 0x75c10000	KERNELBASE
    [f=-000001] Error: 0x75a30000	ADVAPI32
    [f=-000001] Error: 0x763a0000	msvcrt
    [f=-000001] Error: 0x75f60000	sechost
    [f=-000001] Error: 0x75fb0000	RPCRT4
    [f=-000001] Error: 0x743b0000	SspiCli
    [f=-000001] Error: 0x743a0000	CRYPTBASE
    [f=-000001] Error: 0x76460000	bcryptPrimitives
    [f=-000001] Error: 0x75860000	IMAGEHLP
    [f=-000001] Error: 0x771c0000	ucrtbase
    [f=-000001] Error: 0x74490000	SHELL32
    [f=-000001] Error: 0x5a0a0000	GLU32
    [f=-000001] Error: 0x75880000	cfgmgr32
    [f=-000001] Error: 0x76cc0000	USER32
    [f=-000001] Error: 0x59fc0000	OPENGL32
    [f=-000001] Error: 0x772e0000	shcore
    [f=-000001] Error: 0x77400000	win32u
    [f=-000001] Error: 0x75be0000	GDI32
    [f=-000001] Error: 0x75e00000	gdi32full
    [f=-000001] Error: 0x760b0000	combase
    [f=-000001] Error: 0x75ab0000	msvcp_win
    [f=-000001] Error: 0x76670000	windows.storage
    [f=-000001] Error: 0x743d0000	shlwapi
    [f=-000001] Error: 0x764c0000	kernel.appcore
    [f=-000001] Error: 0x764d0000	powrprof
    [f=-000001] Error: 0x771a0000	profapi
    [f=-000001] Error: 0x76c50000	WS2_32
    [f=-000001] Error: 0x10000000	DevIL
    [f=-000001] Error: 0x6b800000	OpenAL32
    [f=-000001] Error: 0x70780000	vorbisfile
    [f=-000001] Error: 0x76e40000	ole32
    [f=-000001] Error: 0x62e80000	zlib1
    [f=-000001] Error: 0x70e40000	libfreetype-6
    [f=-000001] Error: 0x65180000	libfontconfig-1
    [f=-000001] Error: 0x6ef80000	glew32
    [f=-000001] Error: 0x6c740000	SDL2
    [f=-000001] Error: 0x76070000	IMM32
    [f=-000001] Error: 0x68140000	ogg
    [f=-000001] Error: 0x64cc0000	vorbis
    [f=-000001] Error: 0x76300000	OLEAUT32
    [f=-000001] Error: 0x72fe0000	WINMM
    [f=-000001] Error: 0x68f40000	libexpat-1
    [f=-000001] Error: 0x73440000	VERSION
    [f=-000001] Error: 0x59f30000	MSVCP80
    [f=-000001] Error: 0x59e90000	MSVCR80
    [f=-000001] Error: 0x729f0000	WINMMBASE
    [f=-000001] Error: 0x73580000	nvapi
    [f=-000001] Error: 0x77500000	SETUPAPI
    [f=-000001] Error: 0x734e0000	dxgi
    [f=-000001] Error: 0x73cd0000	uxtheme
    [f=-000001] Error: 0x76520000	MSCTF
    [f=-000001] Error: 0x5b330000	mumble_ol
    [f=-000001] Error: 0x734b0000	dwmapi
    [f=-000001] Error: 0x57920000	nvoglv32
    [f=-000001] Error: 0x729d0000	WTSAPI32
    [f=-000001] Error: 0x719f0000	DEVOBJ
    [f=-000001] Error: 0x75b90000	WINTRUST
    [f=-000001] Error: 0x76c40000	MSASN1
    [f=-000001] Error: 0x76f40000	CRYPT32
    [f=-000001] Error: 0x722b0000	ntmarta
    [f=-000001] Error: 0x6ff60000	nvspcap
    [f=-000001] Error: 0x70d70000	WINSTA
    [f=-000001] Error: 0x77370000	clbcatq
    [f=-000001] Error: 0x59e80000	shfolder
    [f=-000001] Error: 0x70220000	MMDevApi
    [f=-000001] Error: 0x72130000	PROPSYS
    [f=-000001] Error: 0x5c850000	dsound
    [f=-000001] Error: 0x6fd40000	AUDIOSES
    [f=-000001] Error: 0x6fc70000	wintypes
    [f=-000001] Error: 0x70cb0000	AVRT
    [f=-000001] Error: 0x726c0000	mswsock
    [f=-000001] Error: 0x72560000	wshqos
    [f=-000001] Error: 0x724a0000	wshtcpip
    [f=-000001] Error: 0x72490000	wship6
    [f=-000001] Error: 0x659f0000	TextInputFramework
    [f=-000001] Error: 0x657b0000	CoreUIComponents
    [f=-000001] Error: 0x65720000	CoreMessaging
    [f=-000001] Error: 0x6e680000	dbghelp
    [f=-000001] Error: Exception: Access violation (0xc0000005)
    [f=-000001] Error: Exception Address: 0x00780bb0
    [f=-000001] Error: Stacktrace for Spring 104.0.1-104-g2135e2e maintenance:
    [f=-000001] Error: 	[ProgCtr=00780bb0 StackPtr=0189b1d0 FramePtr=0189b2b8]
    [f=-000001] Error: 	(0) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e_maintenance\spring.exe [0x00780BB0]
    [f=-000001] Error: 	(1) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e_maintenance\spring.exe [0x00A8A0B6]
    [f=-000001] Error: 	(2) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e_maintenance\spring.exe [0x00B4261C]
    [f=-000001] Error: 	(3) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e_maintenance\spring.exe [0x00B64848]
    [f=-000001] Error: 	(4) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e_maintenance\spring.exe [0x005C60EE]
    [f=-000001] Error: 	(5) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e_maintenance\spring.exe [0x009234C0]
    [f=-000001] Error: 	(6) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e_maintenance\spring.exe [0x009268A9]
    [f=-000001] Error: 	(7) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e_maintenance\spring.exe [0x00923780]
    [f=-000001] [WatchDog::DeregisterThread] deregistering controls for thread [main]
    [f=-000001] Error: [ExitSpringProcess] errorMsg="Spring has crashed:
      Access violation.
    
    A stacktrace has been written to:
      C:\Users\Flowris\Documents\My Games\Spring\infolog.txt" msgCaption="Spring: Unhandled exception" mainThread=1
    [f=-000001] Error: [Watchdog::ClearTimer(id)] Invalid thread 4 (_threadId=00000000)
    [f=-000001] [SpringApp::Kill][1] fromRun=0
    [f=-000001] [ThreadPool::SetThreadCount][1] wanted=0 current=3 maximum=4 (init=0)
    [f=-000001] 	[async=0] threads=3 tasks=3236 {sum,avg}{exec,wait}time={{-0.000, -2.000}, {-26815622249851742055926178338556527587890119650674473966127616567785911387792743084155016509227699110614346903714035011099585120853160050327622088363343872.000, 26815622298516450181720554708807085216633368060616896352371858412844380354608025197640775734791153255986520983782158662600790357861613818486930052476829696.000}}ms
    [f=-000001] 		thread=1 tasks=1618 {sum,min,max,avg}{exec,wait}time={{-0.000, 0.000, 26815615859885194199148049996411692254958731641184786755447122887443528060147093953603748596333806855380063716372972101707507765623893139892867298012168192.000, -0.000}, {0.000, 0.000, -2.000, 0.000}}ms
    [f=-000001] 		thread=2 tasks=1618 {sum,min,max,avg}{exec,wait}time={{-0.000, 0.000, -0.000, -26815622305018993441009703855901196594172012175138953994045608383037422825123457973660381901539627624359980683123295813542501759886658481297805962651893760.000}, {0.000, 0.000, -0.000, -2.000}}ms
    [f=-000001] 	[async=1] threads=3 tasks=131 {sum,avg}{exec,wait}time={{-0.000, -26815622274320267132601007027251564698936004599414982883446508268464890839782828215492276748400534391811806566494449341582855679043794877140654449175298048.000}, {2.000, 0.000}}ms
    [f=-000001] 		thread=1 tasks=65 {sum,min,max,avg}{exec,wait}time={{-0.000, 0.000, 0.000, 0.000}, {0.000, 0.000, 0.000, -0.000}}ms
    [f=-000001] 		thread=2 tasks=66 {sum,min,max,avg}{exec,wait}time={{-2.000, 0.000, -2.000, -0.000}, {-0.000, 0.000, -26815622240751717134189484836020985939340616855325346650614251062086338588698337411614803854526682982570029442976887002374610886634192716270490222885601280.000, -0.000}}ms
    [f=-000001] [ThreadPool::SetThreadCount][2] workers=0
    [f=-000001] [SpringApp::Kill][2]
    [f=-000001] [Game::KillLua][0] dtor=0 loadscreen=00000000
    [f=-000001] [Game::KillLua][3] dtor=0 luaUI=28dbcb60
    [f=-000001] Red_UI_Framework>> last processed widget was "Red Tooltip"
    [f=-000001] frames-per-second indicator is enabled!
    [f=-000001] small digital clock is enabled!
    [f=-000001] simulation speed indicator is enabled!
    [f=-000001] Red_Drawing>> last processed widget was "Red Tooltip"
    [f=-000001] Reloaded cmdcolors from file: cmdcolors.tmp
    [f=-000001] [LuaMemPool::LogStats][handle=LuaUI (unsynced)] index=4294967295 {blocks,sizes}={0,0} {int,ext,rec}Allocs={0,17625494,0} {chunk,block}Bytes={0,0}
    [f=-000001] [Game::KillLua][1] dtor=0 luaGaia=00000000
    [f=-000001] [Game::KillLua][2] dtor=0 luaRules=1df778f0
    [f=-000001] [LuaMemPool::LogStats][handle=LuaRules (unsynced)] index=4294967295 {blocks,sizes}={0,0} {int,ext,rec}Allocs={0,17625496,0} {chunk,block}Bytes={0,0}
    [f=-000001] [LuaMemPool::LogStats][handle=LuaRules (synced)] index=4294967295 {blocks,sizes}={0,0} {int,ext,rec}Allocs={0,17625496,0} {chunk,block}Bytes={0,0}
    [f=-000001] [Game::KillLua][4] dtor=0
    [f=-000001] [~CDemoRecorder] writing demo "C:\Users\Flowris\Documents\My Games\Spring\demos\20171129_190848_DeltaSiegePrime Ultimate_104.0.1-104-g2135e2e maintenance.sdfz"
    [f=-000001] [Sound] [~CSound][1] soundThread=05f0c57c
    [f=-000001] [WatchDog::DeregisterThread] deregistering controls for thread [audio]
    [f=-000001] [Sound] [Sound::UpdateThread][3] efx=07190c90
    [f=-000001] [Sound] [Sound::UpdateThread][4] ctx=06304bc8 dev=07110970
    [f=-000001] [Sound] [Sound::UpdateThread][5]
    [f=-000001] [Sound] [~CSound][2]
    [f=-000001] [Sound] [~CSound][3]
    [f=-000001] [Game::~CGame][1]
    [f=-000001] [Game::KillLua][0] dtor=1 loadscreen=00000000
    [f=-000001] [Game::KillLua][3] dtor=1 luaUI=00000000
    [f=-000001] [Game::KillLua][1] dtor=1 luaGaia=00000000
    [f=-000001] [Game::KillLua][2] dtor=1 luaRules=00000000
    [f=-000001] [Game::KillLua][4] dtor=1
    [f=-000001] [Game::KillMisc][1]
    [f=-000001] [Game::KillMisc][2]
    [f=-000001] [Game::KillMisc][3]
    [f=-000001] [Game::KillRendering][1]
    [f=-000001] Statistics for RectangleOptimizer: 0%
    [f=-000001] [Game::KillInterface][1]
    [f=-000001] [Game::KillInterface][2]
    [f=-000001] [Game::KillSimulation][1]
    [f=-000001] [Game::KillSimulation][2] unitHandler=1f21f788
    [f=-000001] [CCollisionHandler] dis-/continuous tests: 0/6848
    [f=-000001] [Game::KillSimulation][3]
    [f=-000001] [~CPathCache(40x20)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=-000001] [~CPathCache(40x20)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=-000001] [~CPathCache(80x40)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=-000001] [~CPathCache(80x40)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=-000001] Statistics for RectangleOptimizer: 0%
    [f=-000001] Statistics for RectangleOptimizer: 0%
    [f=-000001] LosHandler stats: total instances=2; shared=0%; from cache=50%
    [f=-000001] [Game::KillSimulation][4]
    [f=-000001] [Game::~CGame][2]
    [f=-000001] [Game::~CGame][3]
    [f=-000001] [SpringApp::Kill][3]
    [f=-000001] [UDPConnection::Statistics]
    	Received: 165907 bytes in 3757 packets (21133736365496226809824506894790850743216247005017419568128119211097799783092006100293382065429251780241871055531745905796143697034082830766792457140429825511393365494030575379265996294415993152611574765598309089280.000000 bytes/package)
    	Sent: 21370 bytes in 1488 packets (21133736365496155048838510937626247014938882723187275199498490961108133277981401369038016100337763287881390456671252491451567645414144227576003828325860708674654425658423605471412481364578288681113239627976293744640.000000 bytes/package)
    	Relative protocol overhead: 0.000000 up, 21133736365496155048838510937626247014938882723187275199498490961108133277981401369038016100337763287881390456671252491451567645414144227576003828325860708674654425658423605471412481364578288681113239627976293744640.000000 down
    	1 incoming chunks dropped, 1 outgoing chunks resent
    
    [f=-000001] [SpringApp::Kill][4] font=06ac8008
    [f=-000001] [SpringApp::Kill][5]
    [f=-000001] [SpringApp::Kill][6]
    [SpringApp::Kill][7]
    [LuaSocket] Dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW * -1
    [LuaSocket] TCP_LISTEN  ALLOW * -1
    [LuaSocket] UDP_CONNECT DENY  47.149.17.225 8008
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [~CPoolArchive] name="C:\Users\Flowris\Documents\My Games\Spring\packages\cbf81e5566a8919c9935f8435fa517bd.sdp" numZipFiles=6990 sumInflSize=108125kb sumReadTime=279ms
    	file="bitmaps/projectiletextures/gizboom2.tga" indx=933 inflSize=244kb readTime=2ms
    	file="bitmaps/default/detailtex2.bmp" indx=788 inflSize=257kb readTime=2ms
    	file="bitmaps/projectiletextures/starexplo.tga" indx=1021 inflSize=256kb readTime=2ms
    	file="bitmaps/loadpictures/beams.jpg" indx=833 inflSize=550kb readTime=1ms
    	file="bitmaps/projectiletextures/flashside.tga" indx=928 inflSize=256kb readTime=1ms
    	file="bitmaps/projectiletextures/bigexplosmoke-chickens.tga" indx=898 inflSize=256kb readTime=1ms
    	file="bitmaps/projectiletextures/gizboom.tga" indx=932 inflSize=155kb readTime=1ms
    	file="bitmaps/projectiletextures/bigexplo.tga" indx=897 inflSize=256kb readTime=1ms
    	file="bitmaps/scars/scar3.bmp" indx=1034 inflSize=192kb readTime=1ms
    	file="changelog.txt" indx=1062 inflSize=144kb readTime=1ms
    [SpringApp::Kill][8]
    Error: [Watchdog::DeregisterThread] Invalid thread number 0
    [WatchDog::Uninstall][1] hangDetectorThread=00fd9df0 (joinable=1)
    [WatchDog::Uninstall][2]
    [WatchDog::Uninstall][3]
    [SpringApp::Kill][9]
    
    txt file icon infolog - Copy.txt (79,297 bytes) 2017-11-29 19:21 +
  • ? file icon 20171127_004302_RustyDelta_Final_104.sdfz (272,866 bytes) 2017-11-29 19:26
  • ? file icon 20171129_190848_DeltaSiegePrime Ultimate_104.0.1-104-g2135e2e maintenance.sdfz (60,664 bytes) 2017-11-29 19:27
  • ? file icon 20171129_191329_DeltaSiegePrime Ultimate_104.0.1-104-g2135e2e maintenance.sdfz (985,098 bytes) 2017-11-29 19:35

-Relationships
duplicate of 0005855resolvedKloot crash with 104.0.1-104-g2135e2e maintenance 
+Relationships

-Notes

~0018662

Floris (reporter)

uploaded wrong demo file before

~0018663

Floris (reporter)

full game demo attached as well (banshees and other air didnt fire aswell)

~0018664

Kloot (developer)

Last edited: 2017-12-01 22:54

View 2 revisions

rts/Sim/Objects/SolidObjectDef.cpp:71
rts/Sim/Units/UnitLoader.cpp:101
rts/Lua/LuaSyncedCtrl.cpp:1256
rts/lib/lua/src/ldo.cpp:321
rts/lib/lua/src/lvm.cpp:613
rts/lib/lua/src/ldo.cpp:378

synced crash from Spring.CreateUnit, but neither DSD demo triggers it for me so your sdp might be corrupted.

reopen if you can reproduce this after re-downloading the archive.

+Notes

-Issue History
Date Modified Username Field Change
2017-11-29 19:21 Floris New Issue
2017-11-29 19:21 Floris File Added: infolog - Copy.txt
2017-11-29 19:26 Floris File Added: 20171127_004302_RustyDelta_Final_104.sdfz
2017-11-29 19:27 Floris File Added: 20171129_190848_DeltaSiegePrime Ultimate_104.0.1-104-g2135e2e maintenance.sdfz
2017-11-29 19:27 Floris Note Added: 0018662
2017-11-29 19:35 Floris File Added: 20171129_191329_DeltaSiegePrime Ultimate_104.0.1-104-g2135e2e maintenance.sdfz
2017-11-29 19:35 Floris Note Added: 0018663
2017-11-29 20:17 Kloot Note Added: 0018664
2017-12-01 22:54 Kloot Note Edited: 0018664 View Revisions
2017-12-01 22:54 Kloot Status new => closed
2017-12-01 22:54 Kloot Resolution open => unable to reproduce
2018-01-08 01:17 Kloot Relationship added duplicate of 0005855
2018-01-08 01:17 Kloot Assigned To => Kloot
2018-01-08 01:17 Kloot Status closed => resolved
2018-01-08 01:17 Kloot Resolution unable to reproduce => duplicate
2018-01-08 01:17 Kloot Fixed in Version => 104.0 +git
+Issue History